# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/aurtech/aurtech/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/aurtech/aurtech/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Aurtech\\Aurtech\\": "packages/aurtech/aurtech/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Aurtech\Aurtech\Providers\AurtechServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Aurtech'  => Aurtech\Aurtech\Facades\Aurtech::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Aurtech\\AurtechTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Aurtech\Aurtech\Providers\AurtechServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Aurtech\Aurtech\Providers\AurtechServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Aurtech\Aurtech\Providers\AurtechServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/aurtech/{modulename}

**User**

    http://path-to-route-folder/user/aurtech/{modulename}

**Public**

    http://path-to-route-folder/aurteches


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/aurtech/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/aurtech/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/aurtech/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/aurtech/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/aurtech/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/aurtech/{modulename}/{slug}
    METHOD: GET